summaryrefslogtreecommitdiff
path: root/source4/script/tests
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-06-20 01:35:25 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:18:34 -0500
commit44e7892131730f607015c65a88f4d1e31e889822 (patch)
treed5256263e8a5522a1e44af43d6e4faf8dc2562a1 /source4/script/tests
parent720c8a883152e305bf526722a0754e9fd5eb637f (diff)
downloadsamba-44e7892131730f607015c65a88f4d1e31e889822.tar.gz
samba-44e7892131730f607015c65a88f4d1e31e889822.tar.bz2
samba-44e7892131730f607015c65a88f4d1e31e889822.zip
r7772: actually give the auth options to ldbsearch ....
(This used to be commit 29edfb93829f1b940b741d001551e70e4380c830)
Diffstat (limited to 'source4/script/tests')
-rwxr-xr-xsource4/script/tests/test_ldap.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/source4/script/tests/test_ldap.sh b/source4/script/tests/test_ldap.sh
index 119c551acf..0c3a62c019 100755
--- a/source4/script/tests/test_ldap.sh
+++ b/source4/script/tests/test_ldap.sh
@@ -26,17 +26,17 @@ for p in $PROTOCOLS; do
for options in "" "-U$USERNAME%$PASSWORD"; do
echo "TESTING PROTOCOL $p with options $options"
- testit "RootDSE" bin/ldbsearch $CONFIGURATION --basedn='' -H $p://$SERVER -s base DUMMY=x dnsHostName highestCommittedUSN || failed=`expr $failed + 1`
+ testit "RootDSE" bin/ldbsearch $CONFIGURATION $options --basedn='' -H $p://$SERVER -s base DUMMY=x dnsHostName highestCommittedUSN || failed=`expr $failed + 1`
echo "Getting defaultNamingContext"
- BASEDN=`bin/ldbsearch -b '' -H $p://$SERVER -s base DUMMY=x defaultNamingContext | grep ^defaultNamingContext | awk '{print $2}'`
+ BASEDN=`bin/ldbsearch $options -b '' -H $p://$SERVER -s base DUMMY=x defaultNamingContext | grep ^defaultNamingContext | awk '{print $2}'`
echo "BASEDN is $BASEDN"
- testit "Listing Users" bin/ldbsearch $CONFIGURATION -H $p://$SERVER '(objectclass=user)' sAMAccountName || failed=`expr $failed + 1`
+ testit "Listing Users" bin/ldbsearch $options $CONFIGURATION -H $p://$SERVER '(objectclass=user)' sAMAccountName || failed=`expr $failed + 1`
- testit "Listing Groups" bin/ldbsearch $CONFIGURATION -H $p://$SERVER '(objectclass=group)' sAMAccountName || failed=`expr $failed + 1`
+ testit "Listing Groups" bin/ldbsearch $options $CONFIGURATION -H $p://$SERVER '(objectclass=group)' sAMAccountName || failed=`expr $failed + 1`
- nusers=`bin/ldbsearch -H $p://$SERVER $CONFIGURATION '(|(|(&(!(groupType:1.2.840.113556.1.4.803:=1))(groupType:1.2.840.113556.1.4.803:=2147483648)(groupType:1.2.840.113556.1.4.804:=10))(samAccountType=805306368))(samAccountType=805306369))' sAMAccountName | grep ^sAMAccountName | wc -l`
+ nusers=`bin/ldbsearch $options -H $p://$SERVER $CONFIGURATION '(|(|(&(!(groupType:1.2.840.113556.1.4.803:=1))(groupType:1.2.840.113556.1.4.803:=2147483648)(groupType:1.2.840.113556.1.4.804:=10))(samAccountType=805306368))(samAccountType=805306369))' sAMAccountName | grep ^sAMAccountName | wc -l`
echo "Found $nusers users"
if [ $nusers -lt 10 ]; then
echo "Should have found at least 10 users"